Bug 111073 - Attemps to make modules in /usr/src/linux-2.4.20-8 fails with lots of compilation errors
Attemps to make modules in /usr/src/linux-2.4.20-8 fails with lots of compila...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 19:18 EST by Peter Santi
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-27 03:24:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Santi 2003-11-26 19:18:17 EST
Description of problem:
Attempting to perform make modules yields alot of compilation errors.
A subset of these errors are shown below:

In file included from /usr/src/linux-2.4.20-8/include/linux/if.h:23,
                 from cipe.h:21,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/socket.h:249: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/socket.h:249: parse error 
before numeric constant
/usr/src/linux-2.4.20-8/include/linux/socket.h:249: 
`memcpy_fromiovec_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-8/include/linux/socket.h:249: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4.20-8/include/linux/socket.h:258: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/socket.h:258: parse error 
before numeric constant
...

In file included from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/netdevice.h:144: invalid suffix 
on integer constant
/usr/src/linux-2.4.20-8/include/linux/netdevice.h:144: parse error 
before numeric constant
/usr/src/linux-2.4.20-8/include/linux/netdevice.h:144: 
`if_port_text_R_ver_str' declared as function returning an array
/usr/src/linux-2.4.20-8/include/linux/netdevice.h:144: warning: 
function declaration isn't a prototype
In file included from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:18,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/kernel.h:60: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/kernel.h:60: parse error before 
numeric constant
/usr/src/linux-2.4.20-8/include/linux/kernel.h:60: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4.20-8/include/linux/kernel.h:61: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/kernel.h:61: parse error before 
numeric constant
...
In file included from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/sched.h:6: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/sched.h:6: parse error before 
numeric constant
/usr/src/linux-2.4.20-8/include/linux/sched.h:6: warning: function 
declaration isn't a prototype
In file included from /usr/src/linux-2.4.20-
8/include/linux/prefetch.h:13,
                 from /usr/src/linux-2.4.20-8/include/linux/list.h:6,
                 from /usr/src/linux-2.4.20-8/include/linux/wait.h:14,
                 from /usr/src/linux-2.4.20-8/include/linux/fs.h:12,
                 from /usr/src/linux-2.4.20-
8/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-
8/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-
8/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/asm/processor.h:60: warning: 
parameter names (without types) in function declaration
/usr/src/linux-2.4.20-8/include/asm/processor.h:60: field 
`loops_per_jiffy_R_ver_str' declared as a function
/usr/src/linux-2.4.20-8/include/asm/processor.h:82: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/asm/processor.h:82: parse error 
before numeric constant
/usr/src/linux-2.4.20-8/include/asm/processor.h:82: warning: function 
declaration isn't a prototype
...
In file included from /usr/src/linux-2.4.20-8/include/linux/fs.h:15,
                 from /usr/src/linux-2.4.20-
8/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-
8/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-
8/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/net.h:98: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/net.h:98: parse error before 
numeric constant
/usr/src/linux-2.4.20-8/include/linux/net.h:99: warning: function 
declaration isn't a prototype
/usr/src/linux-2.4.20-8/include/linux/net.h:99: field 
`getname_R_ver_str' declared as a function
/usr/src/linux-2.4.20-8/include/linux/net.h:134: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/net.h:134: parse error before 
numeric constant
...
In file included from /usr/src/linux-2.4.20-8/include/linux/fs.h:16,
                 from /usr/src/linux-2.4.20-
8/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-
8/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-
8/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/kdev_t.h:76: 
`kdevname_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-8/include/linux/kdev_t.h:76: warning: parameter 
names (without types) in function declaration
In file included from /usr/src/linux-2.4.20-8/include/linux/fs.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-
8/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-
8/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/dcache.h:176: 
`flush_dentry_attributes_R_ver_str' declared as function returning a 
function
/usr/src/linux-2.4.20-8/include/linux/dcache.h:176: warning: 
parameter names (without types) in function declaration
/usr/src/linux-2.4.20-8/include/linux/dcache.h:182: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/dcache.h:182: parse error 
before numeric constant
...
In file included from /usr/src/linux-2.4.20-8/include/linux/fs.h:23,
                 from /usr/src/linux-2.4.20-
8/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-
8/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-
8/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/linux/string.h: At top level:
/usr/src/linux-2.4.20-8/include/linux/string.h:15: invalid suffix on 
integer constant
/usr/src/linux-2.4.20-8/include/linux/string.h:15: parse error before 
numeric constant
/usr/src/linux-2.4.20-8/include/linux/string.h:15: warning: function 
declaration isn't a prototype
...
In file included from /usr/src/linux-2.4.20-
8/include/linux/string.h:25,
                 from /usr/src/linux-2.4.20-8/include/linux/fs.h:23,
                 from /usr/src/linux-2.4.20-
8/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.20-
8/include/linux/binfmts.h:4,
                 from /usr/src/linux-2.4.20-
8/include/linux/sched.h:10,
                 from /usr/src/linux-2.4.20-
8/include/linux/skbuff.h:19,
                 from /usr/src/linux-2.4.20-
8/include/linux/netdevice.h:147,
                 from cipe.h:62,
                 from module.c:15:
/usr/src/linux-2.4.20-8/include/asm/string.h:416: invalid suffix on 
floating constant
/usr/src/linux-2.4.20-8/include/asm/string.h:416: parse error before 
numeric constant
/usr/src/linux-2.4.20-8/include/asm/string.h:416: `strstr_R_ver_str' 
declared as function returning a function
/usr/src/linux-2.4.20-8/include/asm/string.h:416: warning: function 
declaration isn't a prototype

Version-Release number of selected component (if applicable):
kernel-2.4.20-8
kernel-source-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1.cd /usr/src/linux-2.4.20-8
2.make modules
3.
  
Actual results:


Expected results:


Additional info:installation of kernel-source rpm done after initial 
installation of Red Hat 9.0; kernel-source rpm downloaded from 
ftp://mirror.mcs.anl.gov/
Comment 1 Arjan van de Ven 2003-11-27 03:24:29 EST
you forgot a few steps


1) cd /usr/src/linux-2.4.20-8
2) make mrproper
3) make menuconfig / make xconfig  / copy config from configs dir
4) make oldconfig
5) make bzImage
6) make modules

Note You need to log in before you can comment on or make changes to this bug.